<div id="body">
   <h1>{{title}}</h1>
   <div>add item...</div>
   <div>
      <input type="text" [(ngModel)]="input1">
      <button (click)="push()">push</button>
      <button (click)="pop()">pop</button>
   </div>
   <hr>   
   <app-message #list1 [content]="message" (action)="doClick($event)"></app-message>
</div>
